Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developers.leadwaycrm.com/llms.txt

Use this file to discover all available pages before exploring further.

API to get list of templates
GET https://services.leadconnectorhq.com/invoices/template

Autorizacion

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticacion.
Version
string
default:"2021-07-28"
required
Version de la API.

Query parameters

altId
string
default:"6578278e879ad2646715ba9c"
required
account Id / company Id based on altType
altType
string
default:"account"
required
Alt Type
status
string
status to be filtered
startAt
string
default:"2023-01-01"
startAt in YYYY-MM-DD format
endAt
string
default:"2023-01-01"
endAt in YYYY-MM-DD format
To search for an invoice by id / name / email / phoneNo
paymentMode
string
default:"live"
payment mode
limit
string
default:"10"
required
Limit the number of items to return
offset
string
default:"10"
required
Number of items to skip

Respuestas

data
object[]
required
totalCount
number
default:"100"
required
Total number of Templates
{
  "data": [
    {
      "_id": "6578278e879ad2646715ba9c",
      "altId": "6578278e879ad2646715ba9c",
      "altType": "account",
      "name": "New Template",
      "businessDetails": {
        "name": "Alex",
        "address": {
          "addressLine1": "9931 Beechwood",
          "city": "St. Houston",
          "state": "TX",
          "countryCode": "USA",
          "postalCode": "559-6993"
        },
        "phoneNo": "+1-214-559-6993",
        "website": "www.example.com"
      },
      "currency": "USD",
      "discount": {
        "type": "percentage",
        "value": 0
      },
      "items": [
        {
          "taxes": [],
          "_id": "c6tZZU0rJBf30ZXx9Gli",
          "productId": "c6tZZU0rJBf30ZXx9Gli",
          "priceId": "c6tZZU0rJBf30ZXx9Gli",
          "currency": "USD",
          "name": "Macbook Pro",
          "qty": 1,
          "amount": 999
        }
      ],
      "invoiceNumberPrefix": "INV-",
      "total": 999,
      "createdAt": "2023-12-12T09:27:42.355Z",
  // truncado: 5 lineas mas
}
{}
{}
{}

Ejemplo

curl -X GET 'https://services.leadconnectorhq.com/invoices/template' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'